using System;
using System.Reflection;

internal class Class9
{
	internal static void smethod_0(int typemdt)
	{
		Type type = Delegate784.smethod_0(Class9.module_0, 33554432 + typemdt, Delegate784.delegate784_0);
		foreach (FieldInfo fieldInfo in Delegate785.smethod_0(type, Delegate785.delegate785_0))
		{
			MethodInfo methodInfo = (MethodInfo)Delegate787.smethod_0(Class9.module_0, Delegate786.smethod_0(fieldInfo, Delegate786.delegate786_0) + 100663296, Delegate787.delegate787_0);
			Delegate333.smethod_0(fieldInfo, null, (MulticastDelegate)Delegate788.smethod_0(type, methodInfo, Delegate788.delegate788_0), Delegate333.delegate333_0);
		}
	}

	internal static void smethod_1()
	{
	}

	internal static void smethod_2()
	{
	}

	internal static Module module_0 = Delegate789.smethod_0(Delegate46.smethod_0(Delegate45.smethod_0(typeof(Class9).TypeHandle, Delegate45.delegate45_0), Delegate46.delegate46_0), Delegate789.delegate789_0);

	internal delegate void Delegate0(object o);
}
